if ($Pref::Instruments::CopiedSampleDrumFiles $= "") {
  $Pref::Instruments::CopiedSampleDrumFiles = false;
}

if ($AddOn__System_Instruments == 1) {
  exec("./drums.cs");

  if (!$Pref::Instruments::CopiedSampleDrumFiles) {
    %path = "Add-Ons/Instrument_Drums/defaultBindset.txt";
    %filename = "Standard Drums.txt";

    %folderPath = "instruments/bindsets/";
    %clientPath = "config/client/" @ %folderPath;
    %serverPath = "config/server/" @ %folderPath;

    createPath(%clientPath);
    createPath(%serverPath);

    if (!isFile(%clientPath @ %filename)) {
      Instruments.copyFile(%path, %clientPath @ %filename);
    }

    if (!isFile(%serverPath @ %filename)) {
      Instruments.copyFile(%path, %serverPath @ %filename);
    }

    $Pref::Instruments::CopiedSampleDrumFiles = true;
  }
}
